Bug 137964 - Oops loading the AMD 8151 agpgart driver
Oops loading the AMD 8151 agpgart driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 07:06 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 16:12:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.4.21-20.EL-console-output.txt (8.94 KB, text/plain)
2004-11-03 07:08 EST, Bastien Nocera
no flags Details
2.4.21-22.EL-console-output.txt (7.71 KB, text/plain)
2004-11-03 07:09 EST, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2004-11-03 07:06:57 EST
This works fine on the 2.4.21-20ELsmp kernel. Console outputs attached
for both kernels below.

Version-Release number of selected component (if applicable):
2.4.21-22.ELsmp

Unable to handle kernel NULL pointer dereference at virtual address
000000000000 0020
printing rip:
ffffffff80229773
PML4 0
Oops: 0000
CPU 0
Pid: 1, comm: swapper Not tainted
RIP: 0010:[<ffffffff80229773>]{pci_read_config_dword+35}
RSP: 0000:000001000dc17e28  EFLAGS: 00010046
RAX: 0000000000000087 RBX: 000001000dbb9800 RCX: 00000000800800a0
RDX: ffffffff8059d7c8 RSI: 00000000000000a4 RDI: 0000000000000000
RBP: 00000000ffffffed R08: 000001000dc17e14 R09: 0000000000000000
R10: 00000000ffffffff R11: 000000000000000a R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffffffff805e0b00(0000)
knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000020 CR3: 0000000000101000 CR4: 00000000000006e0

Call Trace: [<ffffffff801d8186>]{acpi_pci_irq_lookup+6}
      [<ffffffff801d828f>]{acpi_pci_irq_enable+104}
[<ffffffff8022b0f6>]{pci_in it+6}
      [<ffffffff8010c0a2>]{init+50} [<ffffffff80110cc1>]{child_rip+8}
      [<ffffffff8010c070>]{init+0} [<ffffffff80110cb9>]{child_rip+0}
       
Process swapper (pid: 1, stackpage=1000dc17000)
Stack: 000001000dc17e28 0000000000000000 0000000000000246 0000000000000246
      ffffffff8062dd7b 000001000dc17e48 0000000000000000 000001000dbb9800
      00000000ffffffed 0000000000000000 ffffffff8062d797 0000000000000000
      0000000000000000 0000000000000000 ffffffff8062de80 0000000000000000
      0000000000000000 0000000000000000 ffffffff8062e02b 0000000000000000
      ffffffff80623747 0000000000000003 0000000000000042 0000000000000000
      ffffffff801d8186 000001000dba9000 ffffffff801d828f 000001000dc17ef7
      000001000dc17ef7 000001000dba9000 0000000000000000 0000000000000000
      0000000000000000 0000000000000000 ffffffff8022b0f6 0000000000000000
      ffffffff80619788 0000000000000000 ffffffff8010c0a2 0000000000000000
Call Trace: [<ffffffff801d8186>]{acpi_pci_irq_lookup+6}
      [<ffffffff801d828f>]{acpi_pci_irq_enable+104}
[<ffffffff8022b0f6>]{pci_in it+6}
      [<ffffffff8010c0a2>]{init+50} [<ffffffff80110cc1>]{child_rip+8}
      [<ffffffff8010c070>]{init+0} [<ffffffff80110cb9>]{child_rip+0}
       

Code: 48 8b 47 20 48 8b 40 60 ff 50 10 c6 05 6b 6f 22 00 01 ff 34

Kernel panic: Fatal exception
Comment 1 Bastien Nocera 2004-11-03 07:08:54 EST
Created attachment 106116 [details]
2.4.21-20.EL-console-output.txt
Comment 2 Bastien Nocera 2004-11-03 07:09:28 EST
Created attachment 106117 [details]
2.4.21-22.EL-console-output.txt
Comment 3 Dave Jones 2004-11-03 14:13:36 EST
is this repeatable with 2.4.21-23 ?
Comment 4 Ernie Petrides 2004-11-03 16:12:14 EST
This problem will be fixed in an upcoming U4 respin.


*** This bug has been marked as a duplicate of 137819 ***
Comment 5 Ernie Petrides 2004-11-10 21:29:56 EST
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-24.EL).
Comment 6 John Flanagan 2004-12-20 15:56:54 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html

Note You need to log in before you can comment on or make changes to this bug.